summaryrefslogtreecommitdiffstats
path: root/libraries/lua-curl/lua-curl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/lua-curl/lua-curl.SlackBuild')
-rw-r--r--libraries/lua-curl/lua-curl.SlackBuild104
1 files changed, 104 insertions, 0 deletions
diff --git a/libraries/lua-curl/lua-curl.SlackBuild b/libraries/lua-curl/lua-curl.SlackBuild
new file mode 100644
index 0000000000..c39e255630
--- /dev/null
+++ b/libraries/lua-curl/lua-curl.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for lua-curl
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy, 2012
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lua-curl
+VERSION=${VERSION:-0.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# This is from Debian, thanks
+patch -p1 < $CWD/make.patch
+
+sed -i \
+ -e "s|usr/local/|usr|" \
+ -e "s|lua5\.1|lua|" \
+ -e "s|-Wall -O2|-Wall|" \
+ -e "s|includedir)/lua|includedir)|" \
+ -e "s|share/doc/curl|doc/curl-$VERSION|" \
+ -e "s|/lib/|/lib$LIBDIRSUFFIX|" \
+ -e "s|liblua5.1-curl|liblua-curl|" \
+ -e "s|\ \$(shell getconf LFS_CFLAGS)|${SLKCFLAGS}|" \
+ Makefile
+
+make
+install -m 0755 -D curl.so $PKG/usr/lib$LIBDIRSUFFIX/lua/5.1/lib$PRGNAM.so
+( cd $PKG/usr/lib$LIBDIRSUFFIX ; ln -s lua/5.1/lib$PRGNAM.so lib$PRGNAM.so.0 )
+
+install -m 0644 -D $CWD/lib$PRGNAM.pc $PKG/usr/lib$LIBDIRSUFFIX/pkgconfig/lib$PRGNAM.pc
+install -m 0644 -D $PRGNAM.h $PKG/usr/include/$PRGNAM.h
+sed -i "s|/lib|/lib$LIBDIRSUFFIX|" $PKG/usr/lib$LIBDIRSUFFIX/pkgconfig/lib$PRGNAM.pc
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/curl.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}